(********************************************************)
(*                                                      *)
(*   Modul:         OUT.INC                             *)
(*   Projekt:       CHESS                               *)
(*   Autor:         Michael Thielscher                  *)
(*   erstellt am:   17.04.89                            *)
(*                                                      *)
(********************************************************)

PROCEDURE StellungsAusgabe (VAR Stellung: StellungsTyp);

  CONST  FigurenZeichen : ARRAY [FigurenTyp] OF CHAR = (' ', 'B', 'S', 'L', 'T', 'D', 'K',
                                                             'b', 's', 'l', 't', 'd', 'k', ' ');

  VAR  Reihe, Spalte : BYTE;

  BEGIN
    WITH Stellung DO BEGIN
      ClrScr;
      GotoXY(8, 1);  Write('A   B   C   D   E   F   G   H');
      GotoXY(6, 3);  Write('+---+---+---+---+---+---+---+---+');
      FOR Reihe := 8 DOWNTO 1 DO BEGIN
        GotoXY(2, 4+2*(8-Reihe));  Write(Reihe, '   ');
        FOR Spalte := 1 TO 8 DO
          Write('| ', FigurenZeichen[Brett[10*(Reihe+1)+Spalte]], ' ');
        Write('|   ', Reihe);
        GotoXY(6, 5+2*(8-Reihe));  Write('+---+---+---+---+---+---+---+---')
      END; (* for *)
      GotoXY(8, 21);  Write('A   B   C   D   E   F   G   H')
    END (* with *)
  END; (* StellungsAusgabe *)
